From 4b8d72135f7694e608931c22253db424f486c738 Mon Sep 17 00:00:00 2001
From: Toshikazu Nakayama <nakayama.ts@ncos.nec.co.jp>
Date: Mon, 17 Jan 2011 15:33:06 +0900
Subject: [PATCH 2/2] dump_kernel_table()

Display ikconfig members in kernel table.

Signed-off-by: Toshikazu Nakayama <nakayama.ts@ncos.nec.co.jp>
---
 crash-5.1.1/kernel.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/crash-5.1.1/kernel.c b/crash-5.1.1/kernel.c
index 739e75b..bc7bd05 100755
--- a/crash-5.1.1/kernel.c
+++ b/crash-5.1.1/kernel.c
@@ -4353,6 +4353,9 @@ dump_kernel_table(int verbose)
         fprintf(fp, "       NR_CPUS: %d (compiled-in to this version of %s)\n",
 		NR_CPUS, pc->program_name); 
 	fprintf(fp, "kernel_NR_CPUS: %d\n", kt->kernel_NR_CPUS);
+	fprintf(fp, "ikconfig_setup: %d\n", kt->ikconfig_setup);
+	fprintf(fp, " ikconfig_ents: %d\n", kt->ikconfig_ents);
+	fprintf(fp, " ikconfig_refs: %d\n", kt->ikconfig_refs);
 	if (kt->display_bh == display_bh_1)
         	fprintf(fp, "    display_bh: display_bh_1()\n");
 	else if (kt->display_bh == display_bh_2)
-- 
1.7.4.rc2

